GenericNamingResourcesFactory (Apache Tomcat 9.0.81 API Documentation)

Package org.apache.tomcat.jdbc.naming

## Class GenericNamingResourcesFactory

- java.lang.Object
- - org.apache.tomcat.jdbc.naming.GenericNamingResourcesFactory

- All Implemented Interfaces:
    `javax.naming.spi.ObjectFactory`

      public class GenericNamingResourcesFactory
      extends java.lang.Object
      implements javax.naming.spi.ObjectFactory

  Simple way of configuring generic resources by using reflection. Example usage:

       <Resource factory="org.apache.tomcat.jdbc.naming.GenericNamingResourcesFactory"
                    name="jdbc/test"
                    type="org.apache.derby.jdbc.ClientXADataSource"
                    databaseName="sample"
                    createDatabase="create"
                    serverName="localhost"
                    port="1527"/>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GenericNamingResourcesFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `capitalize​(java.lang.String name)` |
    `java.lang.Object` | `getObjectInstance​(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable<?,​?> environment)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericNamingResourcesFactory

          public GenericNamingResourcesFactory()

  - ### Method Detail

    - #### getObjectInstance

          public java.lang.Object getObjectInstance​(java.lang.Object obj,
                                                    javax.naming.Name name,
                                                    javax.naming.Context nameCtx,
                                                    java.util.Hashtable<?,​?> environment)
                                             throws java.lang.Exception

      Specified by:
        `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
      Throws:
        `java.lang.Exception`

    - #### capitalize

          public static java.lang.String capitalize​(java.lang.String name)